#### Previous topic

scipy.stats.rv_discrete.ppf

#### Next topic

scipy.stats.rv_discrete.moment

# scipy.stats.rv_discrete.isf

`rv_discrete.``isf`(q, *args, **kwds)

  Inverse survival function (inverse of `sf`) at q of the given RV.

  Parameters:

  q : array_like

  > Upper tail probability.

  arg1, arg2, arg3,… : array_like

  > The shape parameter(s) for the distribution (see docstring of the instance object for more information).

  loc : array_like, optional

  > Location parameter (default=0).

  Returns:

  k : ndarray or scalar

  > Quantile corresponding to the upper tail probability, q.